ListProviders
Returns all identity providers, which match the query Limit should always be set, there is a default limit set by the service
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://loading/idps/templates/_search" \ -H "Content-Type: application/json" \ -d '{}'{
"details": {
"totalResult": 0,
"processedSequence": 0,
"viewTimestamp": "2023-01-15T01:30:15.01Z"
},
"result": [
{
"id": "string",
"details": {
"sequence": 0,
"creationDate": "2023-01-15T01:30:15.01Z",
"changeDate": "2023-01-15T01:30:15.01Z",
"resourceOwner": "string"
},
"state": "IDP_STATE_UNSPECIFIED",
"name": "string",
"owner": "IDP_OWNER_TYPE_UNSPECIFIED",
"type": "PROVIDER_TYPE_UNSPECIFIED",
"config": {
"options": {
"isLinkingAllowed": true,
"isCreationAllowed": true,
"isAutoCreation": true,
"isAutoUpdate": true,
"autoLinking": "AUTO_LINKING_OPTION_UNSPECIFIED"
},
"apple": {
"clientId": "string",
"teamId": "string",
"keyId": "string",
"scopes": [
"string"
]
}
}
}
]
}Was this page helpful?
ListMilestones
Explore the ListMilestones operation in the ZITADEL API. Learn about request parameters, response schemas, and integration details for this endpoint.
ListSecretGenerators
Explore the ListSecretGenerators operation in the ZITADEL API. Learn about request parameters, response schemas, and integration details for this endpoint.